unit CGAdrv;

interface

  uses Graph;

  procedure InitCGA(Gm:integer);

implementation

  procedure CgaDriverProc;external;
	{$L CGA.OBJ}

  procedure RegisterCGA;
  var
    Result:integer;
  begin
    Result:=RegisterBGIdriver(@CgaDriverProc);
  end;

  procedure InitCGA(Gm:integer);
  var
    Gd:integer;
  begin
    Gd:=CGA;
		InitGraph (Gd,Gm,'a:\');
  end;

begin
  RegisterCGA;
  InitCGA(CGAhi);
  RestoreCrtMode;
end.